diff --git a/doc/src/sgml/ref/psql-ref.sgml b/doc/src/sgml/ref/psql-ref.sgml
index 402c4b1b26..39f58c4ea2 100644
--- a/doc/src/sgml/ref/psql-ref.sgml
+++ b/doc/src/sgml/ref/psql-ref.sgml
@@ -1293,7 +1293,7 @@ testdb=&gt;
         is specified, only members of operator families associated with access
         methods whose names match pattern are listed.
         If <replaceable class="parameter">input-type-pattern</replaceable>
-        is specified, only memeber of operator families whose names match the
+        is specified, only members of operator families whose names match the
         pattern are listed.
         If <literal>+</literal> is appended to the command name, each operator
         is listed with its strategy number, purpose and sort operator family.
@@ -1316,7 +1316,7 @@ testdb=&gt;
         is specified, only members of operator families associated with access
         methods whose names match pattern are listed.
         If <replaceable class="parameter">input-type-pattern</replaceable>
-        is specified, only memeber of operator families whose names match the
+        is specified, only members of operator families whose names match the
         pattern are listed.
         </para>
         </listitem>
diff --git a/src/backend/storage/ipc/procarray.c b/src/backend/storage/ipc/procarray.c
index cfb88db4a4..738c0484d3 100644
--- a/src/backend/storage/ipc/procarray.c
+++ b/src/backend/storage/ipc/procarray.c
@@ -3028,7 +3028,7 @@ TerminateOtherDBBackends(Oid databaseId)
 
 		/*
 		 * Check whether we have the necessary rights to terminate other
-		 * sessions.  We don't terminate any session untill we ensure that we
+		 * sessions.  We don't terminate any session until we ensure that we
 		 * have rights on all the sessions to be terminated.  These checks are
 		 * the same as we do in pg_terminate_backend.
 		 *
diff --git a/src/backend/tcop/postgres.c b/src/backend/tcop/postgres.c
index 21214317a7..5b677863b9 100644
--- a/src/backend/tcop/postgres.c
+++ b/src/backend/tcop/postgres.c
@@ -2338,7 +2338,7 @@ check_log_duration(char *msec_str, bool was_logged)
 
 		/*
 		 * Do not log if log_statement_sample_rate = 0. Log a sample if
-		 * log_statement_sample_rate <= 1 and avoid unecessary random() call
+		 * log_statement_sample_rate <= 1 and avoid unnecessary random() call
 		 * if log_statement_sample_rate = 1.
 		 */
 		if (exceeded_sample_duration)
diff --git a/src/backend/utils/adt/jsonfuncs.c b/src/backend/utils/adt/jsonfuncs.c
index 4b5007e0d6..9b86bdcb22 100644
--- a/src/backend/utils/adt/jsonfuncs.c
+++ b/src/backend/utils/adt/jsonfuncs.c
@@ -489,7 +489,7 @@ static void transform_string_values_scalar(void *state, char *token, JsonTokenTy
 /*
  * pg_parse_json_or_ereport
  *
- * This fuction is like pg_parse_json, except that it does not return a
+ * This function is like pg_parse_json, except that it does not return a
  * JsonParseErrorType. Instead, in case of any failure, this function will
  * ereport(ERROR).
  */
diff --git a/src/backend/utils/mb/stringinfo_mb.c b/src/backend/utils/mb/stringinfo_mb.c
index 791a667dae..d7cf3751aa 100644
--- a/src/backend/utils/mb/stringinfo_mb.c
+++ b/src/backend/utils/mb/stringinfo_mb.c
@@ -1,7 +1,7 @@
 /*-------------------------------------------------------------------------
  *
  * stringinfo_mb.c
- *		Multibyte encoding-aware additional StringInfo facilites
+ *		Multibyte encoding-aware additional StringInfo facilities
  *
  * This is separate from common/stringinfo.c so that frontend users
  * of that file need not pull in unnecessary multibyte-encoding support
diff --git a/src/bin/pg_dump/pg_dump.c b/src/bin/pg_dump/pg_dump.c
index 1849dfe3d7..408637cfec 100644
--- a/src/bin/pg_dump/pg_dump.c
+++ b/src/bin/pg_dump/pg_dump.c
@@ -16719,7 +16719,7 @@ dumpStatisticsExt(Archive *fout, StatsExtInfo *statsextinfo)
 
 	/*
 	 * We only issue an ALTER STATISTICS statement if the stxstattarget entry
-	 * for this statictics object is non-negative (i.e. it's not the default
+	 * for this statistics object is non-negative (i.e. it's not the default
 	 * value).
 	 */
 	if (statsextinfo->stattarget >= 0)
diff --git a/src/include/access/attmap.h b/src/include/access/attmap.h
index 40f037a24e..64bc7158a9 100644
--- a/src/include/access/attmap.h
+++ b/src/include/access/attmap.h
@@ -40,7 +40,7 @@ typedef struct AttrMap
 extern AttrMap *make_attrmap(int maplen);
 extern void free_attrmap(AttrMap *map);
 
-/* Convertion routines to build mappings */
+/* Conversion routines to build mappings */
 extern AttrMap *build_attrmap_by_name(TupleDesc indesc,
 									  TupleDesc outdesc);
 extern AttrMap *build_attrmap_by_name_if_req(TupleDesc indesc,
